Summary: popa3d - a tiny POP3 daemon
Name: popa3d
Version: 0.3
Release: 3pam
Copyright: GPL
Group: System Environment/Daemons
Source0: http://www.openwall.com/popa3d/popa3d-0.3.tar.gz
Source1: http://www.openwall.com/popa3d/popa3d-0.3.tar.gz.sign
Source2: popa3d.pam
Patch0: popa3d-0.3.glibc-pam.patch
# Requires: inetd
Buildroot: /var/tmp/popa3-root
Summary(de): Ein kleiner POP3-Dmon

%changelog

%description
There're lots of different POP3 servers -- with different feature sets,
performance, and reliability. However, as far as I know, before I started
the work on popa3d, there had been only one with security as one of its
primary design goals: qmail-pop3d. Unfortunately, it would only work with
qmail, and only with its new maildir format. While both qmail and maildirs
do indeed have some advantages, a lot of people continue running other
MTAs, and/or use the older mailbox format, for various reasons. Many of
them need a POP3 server.

%description -l de
Es gibt viele verschiedene POP3-Server -- mit verschiedenen
Eigenschaften, unterschiedlicher Leistungsfhigkeit und
Zuverlssigkeit. Jedoch, soweit ich wei, bevor ich begann an popa3d
zu arbeiten, gab es nur einen mit Sicherheit als primrem
Entwurfsziel: qmail-pop3d. Unglcklicherweise arbeitet dieser nur mit
qmail und nur mit dessen neuem maildir-Format. Obwohl beide, qmail und
maildirs in der Tat einige Vorteile bieten verwenden viele Leute
weiterhin andere MTA und/oder nutzen das alte mailbox-Format, aus
verschiedenen Grnden. Viele von diesen brauchen einen POP3-Server.

%prep
%setup -q
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CC=egcs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp popa3d $RPM_BUILD_ROOT/usr/sbin
chmod 700 $RPM_BUILD_ROOT/usr/sbin
cp $RPM_SOURCE_DIR/popa3d.pam $RPM_BUILD_ROOT/etc/pam.d/popa3d
chmod 600 $RPM_BUILD_ROOT/etc/pam.d/popa3d

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ "$1" = 1 ]
then
	# check that user 'popa3d' exists
	#
	if grep "^popa3d:" /etc/passwd > /dev/null
	then
		true
	else
		useradd -d /dev/null -s /dev/null popa3d 
	fi
fi

%postun

if [ "$1" = 0 ]
then
	echo "Consider deleting user 'popa3d' too." 1>&2
fi

%files
%defattr(-,root,root)
%doc DESIGN INSTALL
/usr/sbin/popa3d
%config /etc/pam.d/popa3d
